# gds-menu-button - React

## Import

```typescript
import { GdsMenuButton } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsMenuButton>
  {/* content */}
</GdsMenuButton>
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `click` | `onClick` | `onClick={handler}` |
